# -*- coding: utf-8 -*-
from thx.role.core.filters import ThxRoleFilterBackend


class NotificationFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class NotificationRecipientFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class NotificationTypeRecipientFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()
