# -*- coding: utf-8 -*-

from rest_framework import routers

from . import views

router = routers.SimpleRouter()
router.register(r'(?P<profile>\w+)/notification', views.NotificationViewSet)
router.register(r'(?P<profile>\w+)/notification-recipient', views.NotificationRecipientViewSet)
router.register(r'(?P<profile>\w+)/notification-type', views.NotificationTypeViewSet)
urlpatterns = router.urls
